[arch-commits] Commit in xorg-xfs/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 23 21:30:48 EDT 2009


    Date: Thursday, April 23, 2009 @ 21:30:48
  Author: eric
Revision: 36510

Merged revisions 36507 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xorg-xfs/trunk

........
  r36507 | eric | 2009-04-23 21:17:25 -0400 (Thu, 23 Apr 2009) | 2 lines
  
  upgpkg: xorg-xfs 1.0.8-2
      Added license, Fixed config file location (close FS#11043)
........

Added:
  xorg-xfs/repos/extra-i686/LICENSE.xfs
    (from rev 36507, xorg-xfs/trunk/LICENSE.xfs)
Modified:
  xorg-xfs/repos/extra-i686/	(properties)
  xorg-xfs/repos/extra-i686/PKGBUILD

-------------+
 LICENSE.xfs |   25 +++++++++++++++++++++++++
 PKGBUILD    |   32 ++++++++++++++++----------------
 2 files changed, 41 insertions(+), 16 deletions(-)


Property changes on: xorg-xfs/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xorg-xfs/trunk:1-3233
   + /xorg-xfs/trunk:1-36509

Copied: xorg-xfs/repos/extra-i686/LICENSE.xfs (from rev 36507, xorg-xfs/trunk/LICENSE.xfs)
===================================================================
--- extra-i686/LICENSE.xfs	                        (rev 0)
+++ extra-i686/LICENSE.xfs	2009-04-24 01:30:48 UTC (rev 36510)
@@ -0,0 +1,25 @@
+Copyright (c) 1988  X Consortium
+
+Permission is hereby granted, free of charge, to any person obtaining
+a copy of this software and associated documentation files (the
+"Software"), to deal in the Software without restriction, including
+without limitation the rights to use, copy, modify, merge, publish,
+distribute, sublicense, and/or sell copies of the Software, and to
+permit persons to whom the Software is furnished to do so, subject to
+the following conditions:
+
+The above copyright notice and this permission notice shall be included
+in all copies or substantial portions of the Software.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE X CONSORTIUM BE LIABLE FOR ANY CLAIM, DAMAGES OR
+OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
+ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+OTHER DEALINGS IN THE SOFTWARE.
+
+Except as contained in this notice, the name of the X Consortium shall
+not be used in advertising or otherwise to promote the sale, use or
+other dealings in this Software without prior written authorization
+from the X Consortium.

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-24 01:26:09 UTC (rev 36509)
+++ extra-i686/PKGBUILD	2009-04-24 01:30:48 UTC (rev 36510)
@@ -3,10 +3,11 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xorg-xfs
 pkgver=1.0.8
-pkgrel=1
+pkgrel=2
 pkgdesc="X.Org X11 xfs font server"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 backup=('etc/X11/fs/config')
 depends=('xorg-font-utils' 'libxfont' 'libfs' 'libx11')
 makedepends=('pkgconfig' 'xtrans')
@@ -15,32 +16,31 @@
 	${url}/releases/individual/app/fslsfonts-1.0.2.tar.bz2
 	${url}/releases/individual/app/fstobdf-1.0.3.tar.bz2
         ${url}/releases/individual/app/showfont-1.0.2.tar.bz2
-	xfs.rc)
-md5sums=('f10717e45535b64eb45226aac571dac2'
-         'e6c0071f6d5436113982f4a575d3f94b'
-         'a61be25c87ee42169ee4dc8344acc9e2'
-         '49a6225380f6c18fff664a043cd569b1'
-         '8f83d774ed4cc2a6dca86edd856d820a'
-         '251f5447f64151e9bb096ebc9f999c3f')
+	xfs.rc LICENSE.xfs)
+md5sums=('f10717e45535b64eb45226aac571dac2' 'e6c0071f6d5436113982f4a575d3f94b'\
+         'a61be25c87ee42169ee4dc8344acc9e2' '49a6225380f6c18fff664a043cd569b1'\
+         '8f83d774ed4cc2a6dca86edd856d820a' '251f5447f64151e9bb096ebc9f999c3f'\
+         'a4f198e2c1835cf956f36b5958ab99e7')
 
 build() {
-  cd ${startdir}/src
+  cd ${srcdir}
   pushd xfs-${pkgver}
-  ./configure --prefix=/usr || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc || return 1
   make configdir=/etc/X11/fs || return 1
-  make configdir=/etc/X11/fs DESTDIR=${startdir}/pkg install || return 1
-  sed -i -e 's|/lib/X11/|/share/|g' ${startdir}/pkg/etc/X11/fs/config
+  make configdir=/etc/X11/fs DESTDIR=${pkgdir} install || return 1
+  sed -i -e 's|/lib/X11/|/share/|g' ${pkgdir}/etc/X11/fs/config
   popd
   for i in xfsinfo-* fslsfonts-* fstobdf-* showfont-*; do
     if [ -d "${i}" ]; then
       pushd "${i}"
       ./configure --prefix=/usr || return 1
       make || return 1
-      make DESTDIR=${startdir}/pkg install || return 1
+      make DESTDIR=${pkgdir} install || return 1
+      install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${i%-*} || return 1
       popd
     fi
   done
-
-  mkdir -p ${startdir}/pkg/etc/rc.d
-  install -m755 ${startdir}/src/xfs.rc ${startdir}/pkg/etc/rc.d/ || return 1
+# replacing stub license file
+  install -D -m644 ${srcdir}/LICENSE.xfs ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.xfs || return 1
+  install -D -m755 ${srcdir}/xfs.rc ${pkgdir}/etc/rc.d/xfs.rc || return 1
 }



More information about the arch-commits mailing list